petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMDASetElementType

Sets the element type to be returned by DMDAGetElements()

### Synopsis

    #include "petscdmda.h"
    #undef __FUNCT__
    #define __FUNCT__ "DMDASetElementType"
    PetscErrorCode  DMDASetElementType(DM da, DMDAElementType etype)

Not Collective

### Input Parameter

da -the DMDA object

### Output Parameters

etype -the element type, currently either DMDA_ELEMENT_P1 or ELEMENT_Q1

### See Also

DMDAElementType, DMDAGetElementType(), DMDAGetElements(), DMDARestoreElements()

Level:intermediate
Location:src/dm/impls/da/dagetelem.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/examples/tutorials/ex5.c.html
src/ksp/ksp/examples/tutorials/ex31.c.html
src/ts/examples/tutorials/ex23.c.html